Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Noam Postavsky <[email-masked]>
Date: Wed, 04 Jul 2018 08:10:49 -0400

tags 32002 = fixed
close 32002 24.4
quit

Andrew Kurn <[email-masked]> writes:

> Eli wrote:
>
>> I think we support both those who share this opinion and
>> those who don't.  It sounds like you want to set
>> scroll-bar-adjust-thumb-portion to nil.
>
> Yes!!  This is the answer I've been looking for, how to
> disable the feature.

Ah, so this bug should actually be considered fixed, not wontfix.

    * Changes in Emacs 24.4

    *** New option `scroll-bar-adjust-thumb-portion'.
    Available only on X, this option allows you to control over-scrolling
    using the scroll bar (i.e., dragging the thumb down even when the end
    of the buffer is visible).

I personally have

    (define-key global-map [down] 'scroll-up-line)
    (define-key global-map [up] 'scroll-down-line)

in my .emacs, so it seems strange to have the scroll bar already all the
way to the bottom, when I'm still able to scroll farther.